Jack::JackWinAsyncNamedPipeClient Class Reference
Inheritance diagram for Jack::JackWinAsyncNamedPipeClient:

## Public Member Functions

| JackWinAsyncNamedPipeClient (HANDLE pipe, const char *name, bool pending)
virtual int | Read (void *data, int len)
virtual int | Write (void *data, int len)
HANDLE | GetEvent ()
kIOState | GetIOState ()
bool | GetPending ()
int | FinishIO ()
Public Member Functions inherited from Jack::JackWinNamedPipeClient
| JackWinNamedPipeClient (HANDLE pipe, const char *name)
virtual int | Connect (const char *dir, int which)
virtual int | Connect (const char *dir, const char *name, int which)
virtual int | Close ()
virtual void | SetReadTimeOut (long sec)
virtual void | SetWriteTimeOut (long sec)
virtual void | SetNonBlocking (bool onoff)
Public Member Functions inherited from Jack::JackWinNamedPipeAux
| JackWinNamedPipeAux (HANDLE pipe)

## Additional Inherited Members

Protected Member Functions inherited from Jack::JackWinNamedPipeClient
int | ConnectAux ()
Protected Member Functions inherited from Jack::JackWinNamedPipeAux
int | ReadAux (void *data, int len)
int | WriteAux (void *data, int len)
Protected Attributes inherited from Jack::JackWinNamedPipeAux
HANDLE | fNamedPipe
char | fName [256]

## Detailed Description

Definition at line 118 of file JackWinNamedPipe.h.

The documentation for this class was generated from the following files:

- JackWinNamedPipe.h
- JackWinNamedPipe.cpp